<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xrl="http://netkernel.org/xrl" xmlns:nk="http://netkernel.org">
    <xsl:output method="xml"/>
    
    <xsl:param name="commit" nk:class="java.lang.String"/>
	
	<xsl:template match="/wink">
		<div>
				<div style="font-size: 300%;">
					<xrl:include>
						<xrl:identifier>xrl:logo</xrl:identifier>
					</xrl:include>
				</div>
				<hr/>
				<p>
					<a href="/panel/urn:org:ten60:wink:control:panel">Back</a>
				</p>
				<form action="/wink-admin/settings" method="post">
					<table>
						<tr>
							<td>
								file: URI of directory for Wiki content storage:
							</td>
							<td>
								<input name="directory" type="text" value="{persistFile/directory}" style="width: 400px;"/>
							</td>
						</tr>
						<tr>
							<td>
								Access Control Enabled:
							</td>
							<td>
								<input name="acl-enabled" type="checkbox">
									<xsl:if test="security/enabled='true'">
										<xsl:attribute name="checked">true</xsl:attribute>
									</xsl:if>
								</input>
							</td>
						</tr>
						<tr>
							<td>
								<b>Advanced</b> Location of Access Control List :
							</td>
							<td>
								<input name="accessControlList" type="text" value="{security/accessControlList}"/>
							</td>
						</tr>
						<tr>
							<td/>
							<td>
								<input type="submit" value="Update Settings"/>
							</td>
						</tr>
					</table>
				</form>
				<xsl:if test="$commit">
				<p>Changes committed successfully</p>
				</xsl:if>
		</div>
    </xsl:template>

</xsl:stylesheet>
